# ionoscloud\_backup\_unit

Manages a [Backup Unit](https://docs.ionos.com/cloud/storage-and-backup/backup-service/overview) on IONOS CLOUD.

## Example Usage

```hcl
resource "ionoscloud_backup_unit" "example" {
  name        = "Backup Unit Example"
  password    = random_password.backup_unit_password.result
  email       = "example@example-domain.com"
}
resource "random_password" "backup_unit_password" {
  length           = 16
  special          = true
  override_special = "!#$%&*()-_=+[]{}<>:?"
}
```

## Argument Reference

The following arguments are supported:

* `name` - (Required)\[string] The name of the Backup Unit. This argument is immutable.
* `password` - (Required)\[string] The desired password for the Backup Unit
* `email` - (Required)\[string] The email address assigned to the backup unit
* `login` - (Computed) The login associated with the backup unit. Derived from the contract number

## Import

A Backup Unit resource can be imported using its `resource id`, e.g.

```shell
terraform import ionoscloud_backup_unit.demo backup_unit_uuid
```

This can be helpful when you want to import backup units which you have already created manually or using other means, outside of terraform. Please note that you need to manually specify the password when first declaring the resource in terraform, as there is no way to retrieve the password from the Cloud API.

## Important Notes

* Please note that at the moment, Backup Units cannot be renamed
* Please note that the password attribute is write-only, and it cannot be retrieved from the API when importing a ionoscloud\_backup\_unit. The only way to keep track of it in Terraform is to specify it on the resource to be imported, thus, making it a required attribute.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/backup_unit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
